Subject: bug#34771: 27.0.50; object is a window sometimes although it should be a buffer in conditional display spec

From: Eli Zaretskii <[email-masked]>
Date: Thu, 07 Mar 2019 16:57:21 +0200

> From: Tassilo Horn <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 07 Mar 2019 11:27:56 +0100
> 
> > The documentation is correct, but the code had a bug.  I hope I fixed
> > it now.
> 
> I can't tell.  It seems you haven't pushed that change yet.

Oops, sorry.  It was a busy evening after an even busier day.  (I did
say "git push", but failed to notice that the push was rejected by the
upstream repository.)

I pushed it now, please take a look.

Btw, if you need your code to work with versions of Emacs before this
bugfix, you can use the following kludgey workaround: if OBJECT is a
window, that stands for the current buffer.